reorganize install_skripte and hyprltm network manager

This commit is contained in:
2026-04-14 23:20:31 +02:00
parent 814860ca63
commit 66860070a9
10 changed files with 58 additions and 48 deletions
+14
View File
@@ -0,0 +1,14 @@
#!/bin/bash
ln -sfn /mnt/spielplatz/heroic/ "$HOME/.heroic"
ln -sfn /mnt/spielplatz/steam/ "$HOME/.steam"
ln -sfn /mnt/bilder/ "$HOME/Bilder"
ln -sfn /mnt/anbau/Dokumente/ "$HOME/Dokumente"
ln -sfn /mnt/anbau/Musik/ "$HOME/Musik"
ln -sfn /mnt/anbau/Downloads/ "$HOME/Downloads"
ln -sfn /mnt/anbau/ "$HOME/anbau"
ln -sfn /mnt/anbau/Software/ "$HOME/dev"
ln -sfn /mnt/hidrive/ "$HOME/hidrive"
ln -sfn /mnt/nas "$HOME/nas"
ln -sfn /mnt/anbau/home/mathias/nextcloud "$HOME/nextcloud"
ln -sfn /mnt/spielplatz/.local/share/Steam "$HOME/.local/share/Steam"
+19
View File
@@ -0,0 +1,19 @@
#!/bin/bash
sudo pacman -S --needed \
firefox \
nextcloud-client \
cups \
wine \
wine-mono \
wine-gecko \
winetricks \
thunderbird \
ktouch \
ktorrent \
pipewire \
pipewire-session-manager \
qpwgraph \
cifs-utils \
rbw
+27
View File
@@ -0,0 +1,27 @@
#!/bin/bash
sudo pacman -S --needed \
hyprland \
hyprlauncher \
xdg-desktop-portal-hyprland \
hyprpolkitagent \
pantheon-shortcut-overlay \
waybar \
hyprpaper \
wpaperd \
wev \
hyprlock \
hypridle \
nwg-drawer \
wl-clipboard \
swaync \
hyprshot \
rofi
yay -S --needed \
hyprshutdown \
hyprtile
# Install hyprltm (network manager)
curl -s https://raw.githubusercontent.com/hyprltm/hyprltm-net/main/setup.sh | bash
echo 'fish_add_path -m $HOME/.local/bin' >> ~/.config/fish/config.fish
+16
View File
@@ -0,0 +1,16 @@
#!/bin/bash
sudo pacman -S --needed \
reaper \
guitarix \
kdenlive \
yabridge \
yabridgectl \
obs-studio \
surge-xt \
lsp-plugins \
calf \
dragonfly-reverb
yay -S --needed \
numaplayer
+70
View File
@@ -0,0 +1,70 @@
#!/bin/bash
# multilib aktivieren in /etc/pacman.conf
sudo sed -i.bak '/^#\[multilib\]/,+1 s/^#//' /etc/pacman.conf
# Für Noobs wie mich
# - erstellt Sicherheitskopie pacman.conf.bak vor der Änderung
# - sucht nach "[multilib]"
# - bezieht die nächste Zeile mit ein
# - Ersetzt ^# mit nüscht -> Kommentar entfernt :-)
sudo pacman -Syu
# Install yay
if pacman -Q yay &>/dev/null; then
echo "yay bereits installiert; fahre fort."
elif pacman -Si yay &>/dev/null; then
echo "Installiere yay mit pacman ..."
sudo pacman -S --needed yay
else
sudo pacman -S --needed base-devel git
echo "installiere yay via git ..."
git clone https://aur.archlinux.org/yay.git
(
cd yay || {
echo "Fehler: CD in yay-Verzeichnis fehlgeschlagen";
exit 1;
}
makepkg -si
)
rm -rf yay
fi
sudo pacman -S --needed \
fish \
vim \
nvim \
openssh \
rclone \
rsync \
unison \
stow \
nodejs \
npm \
starship \
fastfetch \
tree-sitter-cli \
python \
python-pip \
extra/ttf-jetbrains-mono-nerd \
unzip \
ruff \
python-ruff \
chromium \
selene \
opencode \
tmux \
yazi \
zoxide \
fzf \
locate \
ttf-jetbrains-mono-nerd \
ttf-font-awesome
# fish as standard terminal
chsh -s /usr/bin/fish
npm install -g vscode-js-debug
npm install -g eslint_d
ya pkg add yazi-rs/plugins:git
sudo updatedb
+23
View File
@@ -0,0 +1,23 @@
retry() {
local N=$1; shift
local t=$2; shift
for i in $(seq 1 $N); do
"$@" && return 0 || sleep $t
done
return 1
}
stow_nextcloud() {
# Nextcloud
if [ ! -d "$HOME/nextcloud/local_configs" ]; then
echo "Fehler: Benötige $HOME/nextcloud/local_configs" >&2
exit 1
fi
stow --dir=$HOME/nextcloud/local_configs --target=$HOME default
}
nextcloud &
retry 90 10 stow_nextcloud